Bug 104469 - accessibillity features are missing in dialogs
Summary: accessibillity features are missing in dialogs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.beta1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility, bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2016-12-07 15:12 UTC by mkrajnak
Modified: 2017-12-13 09:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
about with at-spi (138.90 KB, image/png)
2016-12-12 08:15 UTC, mkrajnak
Details
open with at-spi (446.01 KB, image/png)
2016-12-12 08:20 UTC, mkrajnak
Details
export (556.74 KB, image/png)
2016-12-12 08:25 UTC, mkrajnak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mkrajnak 2016-12-07 15:12:02 UTC
Build ID: 5.2.3.3-10.fc25

Almost every dialog window is missing accessibility features support
e.g.: 
From menu choose Help -> About LibreOffice
From menu choose File -> Open
From menu choose File -> Export
From menu choose File -> Save as

If I open any of mentioned dialog and I looked them up via AT-SPI browser all of them are listed only as nested panels.

These dialogs were properly accessible in version 5.0.6.2
Comment 1 Buovjaga 2016-12-11 17:19:49 UTC
I tested by launching with SAL_USE_VCLPLUGIN=gtk3 and inspecting with Accerciser.
I see Help - About as having role "frame", under that one 2 nested panels, dialog, filler..
I see Open as having role "file chooser".
I see Export as having role "file chooser".
I see Save as as having role "file chooser".

Can you include a description or a screenshot of how it was like in 5.0?

I'm sure you know what's up, but we try to make the reports as clear as possible so that it doesn't take an a11y expert to confirm them.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 1fce5b024e9f25c3fcef2537a22474ece0dc416f
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on December 10th 2016
Comment 2 mkrajnak 2016-12-12 08:15:50 UTC
Created attachment 129513 [details]
about with at-spi

About dialog with at-spi
Comment 3 mkrajnak 2016-12-12 08:20:06 UTC
Created attachment 129514 [details]
open with at-spi

open with at-spi
Comment 4 mkrajnak 2016-12-12 08:25:03 UTC
Created attachment 129515 [details]
export

Export dialog with at-spi

Hello there, here are 3 requested screenshots from 5.0

As you can see, almost every part of dialog is accessible including tables with filenames and buttons.
Comment 5 Buovjaga 2016-12-12 18:41:09 UTC
Thanks, setting to NEW.
Comment 6 QA Administrators 2017-12-13 09:29:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug